<h1>WPSSO Google Merchant Feed XML</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Google Merchant Feed XML</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Google Merchant Feed XMLs for WooCommerce (Including Variations and Attributes), Easy Digital Downloads, and Custom Products.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>3.3.2</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.2 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.2 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>6.1.1</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>7.1.0</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>google merchant center, woocommerce, wpml, polylang, multilingual, xml, edd, easy digital downloads</td></tr>
</table>

<h2>Description</h2>

<!-- about -->

<p><strong>WPSSO Google Merchant Feed XML add-on provides XML product feeds for Google Merchant Center in your site's language(s).</strong></p>

<p>There are no plugin or add-on settings to configure &mdash; the WPSSO Google Merchant Feed XML add-on automatically retrieves all available product information in the language (aka locale) requested. A supported e-commerce plugin, like WooCommerce or Easy Digital Downloads, is suggested but not required &mdash; the WPSSO Google Merchant Feed XML add-on can retrieve custom product information entered in the Document SSO metabox (WPSSO Core Premium required).</p>

<p><strong>WooCommerce product variations, attributes, metadata, and custom fields are all supported.</strong></p>

<h3>Multilingual</h3>

<p>Google merchant feed XMLs for WooCommerce, Easy Digital Downloads, and custom products are automatically created in your site's language(s) from Polylang, WPML, or the installed WordPress languages. After activating the WPSSO Google Merchant Feed XML add-on, see the SSO &gt; Merchant Feeds settings page for your feed URLs.</p>

<!-- /about -->

<h3>Google Merchant Feed XML Attributes</h3>

<p>The following XML product attributes are automatically created based on your WooCommerce, Easy Digital Downloads, and custom products (including WooCommerce product variations):</p>

<ul>
<li>ID <code>&#91;id&#93;</code></li>
<li>Item group ID <code>&#91;item_group_id&#93;</code></li>
<li>Title <code>&#91;title&#93;</code></li>
<li>Description <code>&#91;description&#93;</code></li>
<li>Link <code>&#91;link&#93;</code></li>
<li>Image link <code>&#91;image_link&#93;</code></li>
<li>Additional image link <code>&#91;additional_image_link&#93;</code></li>
<li>Availability <code>&#91;availability&#93;</code></li>
<li>Price <code>&#91;price&#93;</code></li>
<li>Sale price <code>&#91;sale_price&#93;</code></li>
<li>Sale price effective date <code>&#91;sale_price_effective_date&#93;</code></li>
<li>Google product category <code>&#91;google_product_category&#93;</code></li>
<li>Product type <code>&#91;product_type&#93;</code></li>
<li>Google search index <code>&#91;canonical_link&#93;</code></li>
<li>Brand <code>&#91;brand&#93;</code></li>
<li>GTIN <code>&#91;gtin&#93;</code> (inluding UPC, EAN, and ISBN)</li>
<li>MPN <code>&#91;mpn&#93;</code></li>
<li>Condition <code>&#91;condition&#93;</code></li>
<li>Color <code>&#91;color&#93;</code></li>
<li>Material <code>&#91;material&#93;</code></li>
<li>Pattern <code>&#91;pattern&#93;</code></li>
<li>Gender <code>&#91;gender&#93;</code></li>
<li>Size <code>&#91;size&#93;</code></li>
<li>Size type <code>&#91;size_type&#93;</code></li>
<li>Age group <code>&#91;age_group&#93;</code></li>
<li>Adult oriented <code>&#91;adult&#93;</code></li>
</ul>

<h3>WPSSO Core Required</h3>

<p>WPSSO Google Merchant Feed XML (WPSSO GMF) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>.</p>

<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-google-merchant-feed/installation/install-the-plugin/">Install the WPSSO Google Merchant Feed XML add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-google-merchant-feed/installation/uninstall-the-plugin/">Uninstall the WPSSO Google Merchant Feed XML add-on</a>.</li>
</ul>

